diff --git a/classes/pref/feeds.php b/classes/pref/feeds.php
index 7c3a406..20bf1ed 100755
--- a/classes/pref/feeds.php
+++ b/classes/pref/feeds.php
@@ -712,7 +712,7 @@
 		$mark_unread_on_update = checkbox_to_sql_bool(
 			clean($_POST["mark_unread_on_update"] ?? ""));
 
-		$feed_language = clean($_POST["feed_language"]);
+		$feed_language = clean($_POST["feed_language"] ?? "");
 
 		if (!$batch) {
 
diff --git a/js/App.js b/js/App.js
index 68f3740..887f267 100644
--- a/js/App.js
+++ b/js/App.js
@@ -44,7 +44,7 @@
       },
       checkbox_tag: function(name, checked = false, value = "", attributes = {}, id = "") {
          return `<input dojoType="dijit.form.CheckBox" type="checkbox" name="${App.escapeHtml(name)}"
-                     ${checked ? "checked" : ""}
+                     ${checked !== '0' && checked ? "checked" : ""}
                      ${value ? `value="${App.escapeHtml(value)}"` : ""}
                      ${this.attributes_to_string(attributes)} id="${App.escapeHtml(id)}">`
       },
